#!/usr/local/bin/php -q
<?php
  // ZFS kernel tune extension for NAS4Free/FreeNAS Legacy
  // Created by Daisuke Aoyama <aoyama@peach.ne.jp>
  //require("auth.inc");
  require("guiconfig.inc");

  $install = "/usr/bin/install";
  $cp = "/bin/cp";

  $arch = $g['arch'];
  $platform = $g['platform'];

  if (($arch != "i386" && $arch != "amd64")
      && ($arch != "x86" && $arch != "x64")) {
    echo "unsupported architecture\n";
    exit(1);
  }
  if ($platform != "embedded" && $platform != "full"
      && $platform != "livecd" && $platform != "liveusb") {
    echo "unsupported platform\n";
    exit(1);
  }

  // webgui
  $extname = "zfskerntune";
  $srcdir = "www";
  $dstdir = "/usr/local/www";

  echo "copy webgui to $dstdir\n";
  echo "\n";

  if (!is_dir("$dstdir/ext")) {
    mkdir("$dstdir/ext");
    chmod("$dstdir/ext", 0755);
  }
  if (!is_dir("$dstdir/ext/$extname")) {
    mkdir("$dstdir/ext/$extname");
    chmod("$dstdir/ext/$extname", 0755);
  }

  $cmd = "$install -c -o root -g wheel -m 644 $srcdir/ext/menu.inc $dstdir/ext/$extname/";
  echo "$cmd\n"; exec("$cmd");
  $cmd = "$install -c -o root -g wheel -m 644 $srcdir/{$extname}.php $dstdir";
  echo "$cmd\n"; exec("$cmd");
  if (version_compare(PHP_VERSION, '5.4.0') < 0) {
    $cmd = "$install -c -o root -g wheel -m 644 $srcdir/{$extname}-compat.php $dstdir";
    echo "$cmd\n"; exec("$cmd");
  }

  echo "\n";
  echo "done.\n";
  exit(0);
?>
